/* Copyright 2014 - 2015 B+B SmartWorx. All rights reserved. */

/*jslint browser: true */
/*global $, Modernizr, alert, console, document, window */

var console = window.console || {};

console.log = console.log || function (msg) {
    'use strict';
    // FOR DEBUGGING: alert(msg);
};

// The document has been completely loaded.
$(document).ready(function () {
    'use strict';

    // Load polyfill when the web browser is missing support for HTML5 input types or HTML5 input attributes.
    Modernizr.load(
        [{
            test: Modernizr.inputtypes.number && Modernizr.input.min && Modernizr.input.max && Modernizr.input.step && Modernizr.input.required && Modernizr.input.autocomplete && Modernizr.input.pattern,
            yep: null,
            nope: ['../lib/jquery-validation/1.13.1/jquery.validate.min.js', '../lib/jquery-validation/1.13.1/additional-methods.min.js'],
            complete: function () {
                try {
                    if ($('#form').validate) {
                        $('#form').validate();
                    }
                } catch (err) {
                    console.log(err.message);
                }
            }
        }]
    );

    if ($('#restore').click) {
        $('#restore').click(function () {
            try {
                // Just reload the user-module's index.cgi to restore the current configuration.
		window.location.replace(window.location);
            } catch (err) {
                console.log(err.message);
            }
        });
    }

    if ($('#return').click) {
        $('#return').click(function () {
            try {
                var url_parts = window.location.href.split('/');
                if (url_parts.length > 0) {
                    if ('index.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's index.cgi page, go back to the main user-module page.
                        window.location.replace('/module.cgi');
		    } else if ('node_setting_requset.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('appsvr_status.cgi');
		    } else if ('mdf_mbtable.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('mbtable.cgi');
		    } else if ('pl_engine_add.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('pl_engine.cgi');
	            } else if ('nwkser_download_data.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('nwkser_set.cgi');
		    } else if ('nwkser_upload_data.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('nwkser_set.cgi');
		    } else if ('nwkser_upload.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('nwkser_set.cgi');
                    } else if ('set.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('index.cgi');
		    } else if ('nwkser_set_post.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('nwkser_set.cgi');
	            } else if ('mqtt_set_post.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('mqtt_set.cgi');
		    } else if ('appser_set_post.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('appser_set.cgi');
		    } else if ('gps_set_post.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('gps_set.cgi');
		    } else if ('paas_set_post.cgi' === url_parts[url_parts.length - 1]) {
                        // From the user-module's set.cgi page, go back to the main user-module configuration page.
                        window.location.replace('paas_set.cgi');
                    } else {
			 var url_post_parts = url_parts[url_parts.length - 1].split('?');
		    
			 if (url_post_parts.length > 0) {
				if ('node_delete.cgi' === url_post_parts[0]) {
				    window.location.replace('appsvr_status.cgi');
				} else if ('node_setting_select.cgi' === url_post_parts[0]) {
				    window.location.replace('appsvr_status.cgi');
				} else if ('pl_engine_add.cgi' === url_post_parts[0]) {
				    window.location.replace('pl_engine.cgi');
				} else if ('node_detail.cgi' === url_post_parts[0]) {
				    window.location.replace('appsvr_status.cgi');
				}
				else{
				    // If it is something unexpected, go back to the router's main page.
				    window.location.replace('/');
				}
			 }
			 else{
				// If it is something unexpected, go back to the router's main page.
				window.location.replace('/');
			 }
                    }
                    
                   
                }
            } catch (err) {
                console.log(err.message);
            }
        });
    }
});